A Marquee tag in an HTML email prevents text from rendering.

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
13 years ago
9 years ago

People

(Reporter: stephm, Unassigned)

Tracking

({testcase})

x86
Windows XP
testcase

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

13 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

I received and email with its signature in a Marquee tag.

I could not see the information in the signature (unless I viewed the source).

Remove the tag, or changing userContent to kill Marqee tags allowed me to see
the text.

If thunderbird's html render doesn't want to render marquee's it should just
render the text as normal.

Reproducible: Always

Steps to Reproduce:
1.Open an email with a marquee tag in 


Actual Results:  
Text in signature was hidden

Expected Results:  
Either displayed the marquee, or display the text normally

Below is the source of the email in question:

----
From - Thu Sep 22 10:08:14 2005
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
Received: (qmail 20957 invoked from network); 22 Sep 2005 17:01:02 -0000
Received: from icicle.pobox.com ([207.8.226.3])
          (envelope-sender <SRS0=IWD6=XY=rht.com=Rob.Kossan@bounce2.pobox.com>)
          by mail18.sea5.speakeasy.net (qmail-ldap-1.03) with SMTP
          for <stephm@speakeasy.net>; 22 Sep 2005 17:01:01 -0000
Received: from icicle.pobox.com (localhost [127.0.0.1])
	by icicle.pobox.com (Postfix) with ESMTP id 3D7341842F3
	for <stephm@speakeasy.net>; Thu, 22 Sep 2005 13:01:23 -0400 (EDT)
Delivered-To: stephm@pobox.com
Received: from rhalf.com (mail3.rhalf.com [204.75.127.101])
	by icicle.pobox.com (Postfix) with ESMTP id 021961842E8
	for <STEPHM@POBOX.COM>; Thu, 22 Sep 2005 13:01:14 -0400 (EDT)
Received: from hqp-ex-tw02.na.msds.rhi.com (nat38.rhalf.com [204.75.99.38])
	by rhalf.com (Switch-3.0.5/Switch-3.0.0) with ESMTP id j8MH0pj2022339
	for <STEPHM@POBOX.COM>; Thu, 22 Sep 2005 10:00:51 -0700 (PDT)
Received: from 10.251.101.53 by hqp-ex-tw02.na.msds.rhi.com with ESMTP (
 Tumbleweed MMS SMTP Relay (MMS v5.6.1)); Thu, 22 Sep 2005 10:00:42
 -0700
X-Server-Uuid: 906D8980-9BFC-40B3-8497-497F759E5323
Received: from hqp-ex-mb06.na.msds.rhi.com ([10.251.255.221]) by
 hqp-ex-smtp01.na.msds.rhi.com with Microsoft SMTPSVC(6.0.3790.211);
 Thu, 22 Sep 2005 10:00:42 -0700
X-MimeOLE: Produced By Microsoft Exchange V6.5.7226.0
Content-class: urn:content-classes:message
MIME-Version: 1.0
Subject: Your Resume submitted to Robert Half Technology
Date: Thu, 22 Sep 2005 10:00:40 -0700
Message-ID: <988A451094CC5D40A50D5A4FC9C59209093048A8@hqp-ex-mb06.na.msds.rhi.com>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: Your Resume submitted to Robert Half Technology
Thread-Index: AcW/lykv4rx5IWDqRDOuRQa7UszPjg==
From: "Kossan, Rob (441)" <Rob.Kossan@rht.com>
To: STEPHM@POBOX.COM
X-OriginalArrivalTime: 22 Sep 2005 17:00:42.0016 (UTC)
 FILETIME=[2A468A00:01C5BF97]
X-WSS-ID: 6F2C3CB01GO7484316-01-01
Content-Type: multipart/alternative;
 boundary="----_=_NextPart_001_01C5BF97.2931E822"
X-Spam-Checker-Version: SpamAssassin 3.0.3 (2005-04-27) on mail18.sea5
X-Spam-Level: ***
X-Spam-Status: No, score=3.7 required=4.0 tests=BAYES_50,HTML_MESSAGE,
	HTML_NONELEMENT_00_10,HTML_TAG_EXIST_MARQUEE,HTML_TAG_EXIST_TBODY 
	autolearn=disabled version=3.0.3

This is a multi-part message in MIME format.

------_=_NextPart_001_01C5BF97.2931E822
Content-Type: text/plain;
 charset=us-ascii
Content-Transfer-Encoding: quoted-printable

Good morning Stephen.  Just reviewed the resume you sent to us at Robert
Half Technology, and wonder if anyone from our office has spoken with
you yet?  If not, I'd like to hear from you ASAP to go over exactly what
you're looking for, and then discuss meeting for a short bit to finalize
representing you to the marketplace.
=20
Look forward to hearing from you.
=20
Sincerely,
Rob Kossan
Technical Recruitment Manager=20
 Robert Half Technology =09
601 Union Street, Suite 4300
Seattle, WA 98101
Tel: 206-749-4009 (ext. 224)
Fax: 206-749-9373=20
E-mail:rob.kossan@rht.com <mailto:christian.omeara@rht.com>=20
Website: www.rht.com <http://www.rht.com/>=20
For the fourth consecutive year, Robert Half International has=20
been named to the Forbes Platinum 400 list of the best big=20
companies
=20

------_=_NextPart_001_01C5BF97.2931E822
Content-Type: text/html;
 charset=us-ascii
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD><TITLE>Message</TITLE>
<META http-equiv=3DContent-Type content=3D"text/html; =
charset=3Dus-ascii">
<META content=3D"MSHTML 6.00.3790.2491" name=3DGENERATOR></HEAD>

<BODY>
<DIV><SPAN class=3D910005616-22092005><FONT face=3DArial color=3D#000080 =
size=3D2>Good=20
morning Stephen.&nbsp; Just reviewed the resume you sent to us at Robert =
Half=20
Technology, and wonder if anyone from our office has spoken with you =
yet?&nbsp;=20
If not, I'd like to hear from&nbsp;you ASAP to go over exactly what =
you're=20
looking for, and then discuss meeting for a short bit to finalize =
representing=20
you to the marketplace.</FONT></SPAN></DIV>
<DIV><SPAN class=3D910005616-22092005><FONT face=3DArial color=3D#000080 =

size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D910005616-22092005><FONT face=3DArial color=3D#000080 =
size=3D2>Look=20
forward to hearing from you.</FONT></SPAN></DIV>
<DIV><SPAN class=3D910005616-22092005><FONT face=3DArial color=3D#000080 =

size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D910005616-22092005><FONT face=3DArial color=3D#000080 =

size=3D2>Sincerely,</FONT></SPAN></DIV>

<DIV><SPAN class=3D483440216-26082005><STRONG><FONT color=3D#010149>Rob=20
Kossan</FONT></STRONG></SPAN></DIV>
<DIV align=3Dleft>
<DIV><SPAN class=3D483440216-26082005><STRONG><FONT =
color=3D#010149><EM>Technical=20
Recruitment Manager</EM> </FONT></STRONG></DIV>

<DIV>
<MARQUEE id=3DMarquee4 style=3D"WIDTH: 280px; HEIGHT: 24px" trueSpeed =
scrollAmount=3D1=20
scrollDelay=3D71 direction=3Ddown behavior=3Dslide loop=3D1 =
border=3D"0"><FONT face=3DArial>
<TABLE cellSpacing=3D0 cellPadding=3D0 width=3D220>
  <TBODY>
  <TR>
    <TD=20
    style=3D"BORDER-RIGHT: 1px solid; BORDER-TOP: 1px solid; FONT-SIZE: =
8pt; COLOR: black; BORDER-BOTTOM: 1px solid"=20
    borderColor=3Dblack bgColor=3D#009999><FONT face=3Darial=20
      color=3Dwhite>&nbsp;Robert Half Technology</FONT>=20
</TD></TR></TBODY></TABLE></FONT></MARQUEE></DIV><B>

<DIV>
<MARQUEE id=3DMarquee3 style=3D"FONT-SIZE: 14pt; WIDTH: 370px; HEIGHT: =
17px"=20
trueSpeed scrollAmount=3D1 scrollDelay=3D5 behavior=3Dslide loop=3D1 =
border=3D"0">
<DIV><FONT color=3Dblack>
<DIV><FONT face=3DArial size=3D1>601 Union Street, Suite =
4300</FONT></DIV>
<DIV><FONT face=3DArial size=3D1>Seattle, WA 98101</FONT></DIV>
<DIV><FONT face=3DArial><FONT size=3D1>Tel: 206-749-4009&nbsp;<SPAN=20
class=3D483440216-26082005>(ext. 224)</SPAN></FONT></FONT></DIV>

<DIV><FONT face=3DArial size=3D1>Fax: 206-749-9373 </FONT></DIV>
<DIV><FONT color=3Dblack><FONT face=3DArial><FONT size=3D1>E-mail:<SPAN=20
class=3D483440216-26082005><U><FONT=20
color=3D#0000ff>rob.kossan</FONT></U></SPAN></FONT></FONT><A=20
href=3D"mailto:christian.omeara@rht.com"><FONT face=3DArial=20
size=3D1>@rht.com</FONT></A></FONT></DIV>

<DIV><FONT color=3Dblack><FONT face=3DArial =
size=3D1>Website:&nbsp;</FONT><A=20
href=3D"http://www.rht.com/" target=3D_blank><FONT face=3DArial=20
size=3D1>www.rht.com</FONT></A></FONT></DIV>
<DIV>
<DIV><FONT face=3DArial size=3D1><EM>For the fourth consecutive year, =
Robert Half=20
International has <BR></EM></FONT><FONT face=3DArial size=3D1><EM>been =
named to the=20
Forbes Platinum 400 list of the best big=20

<BR>companies</EM></FONT></DIV></DIV></FONT></DIV></MARQUEE></DIV></B></S=
PAN></DIV>
<DIV>&nbsp;</DIV></BODY></HTML>

------_=_NextPart_001_01C5BF97.2931E822--
(Reporter)

Comment 1

13 years ago
Created attachment 197099 [details]
Mail message demonstrating the bug

Comment 2

13 years ago
Duplicate of bug 240262?

Comment 3

13 years ago
Created attachment 197184 [details]
The sig from that mail, as an HTML file

Quite possibly a dupe of that bug.

There are two marquees in the sig; the text of the first one appears (the
white-on-green "Robert Half") and the other, with the contact info, does not.

Open the attachment in IE6, and you'll see what I believe is the intended
behavior: the green "Robert Half" bit slides downwards, while the
address/contact information slides in from the right; both parts arrive at
their destination at the same time and stop moving.  It's a nice effect that
has no business being in a mail sig.  :)

Open the attachment in Firefox (1.0.x), and you'll see what I believe is the
best you could hope for with Mozilla product: the two parts move continuously
in classic marquee style; the first part slides vertically across the height
not only of its own tag but the following tag.	Probably the behavior is buggy
even if the slide-once-and-stop motion isn't supported.


> I could not see the information in the signature (unless I viewed the
source).

You could also use   View | Message Body As | Simple HTML
(Reporter)

Comment 4

13 years ago
I agree that this is a bad thing in a sig.

Am not sure whether this has the same root cause as bug 240262, but the 
behavior is different.

The fix of turning on simple HTML works, but screws up other pages.  A better 
work around is to add marquee { -moz-binding: none; } to userContent.css.

Better still, the html should render correctly.  Either it should ignore the 
tag (as non-standard) and just show the text, or handle the tag.
QA Contact: front-end

Comment 5

11 years ago
perhaps multiple problems here which I'm not likely to research. In TB trunk and 2.0.0.12, all I see is 

  </body>
</html>


Assignee: mscott → nobody
Isn't marquee tags no longer supported? I thought they were part of the antique web.
WFM here on

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5pre) Gecko/20091008 Lightning/1.0pre Shredder/3.0pre ID:20091008033625

Reporter could you try to see if it still happens with
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/latest-comm-1.9.1/ ?
Whiteboard: closeme 2009-10-23
This is fixed in the nightly as says in comment #7 and also with today build

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5pre) Gecko/20091020 Lightning/1.0pre Shredder/3.0pre ID:20091020031302

TB 2.X is a security fix and maintainance branch it's very unlikely that what fixed this bug ends up backported to the 2.x branch.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Component: Mail Window Front End → Message Reader UI
Keywords: testcase
QA Contact: front-end → message-reader
Resolution: --- → WORKSFORME
Whiteboard: closeme 2009-10-23
Version: unspecified → 2.0
You need to log in before you can comment on or make changes to this bug.